<template>
  <div class="navbar">
    <div class="left-logo-box">
      <!--<img src="@/assets/ZDimages/icon_logo.png">-->
      <img :src="circularLogo">
      <p>{{VUE_APP_TITLE}}</p>
      <!--<p>危化品智能存储管理系统</p>-->
    </div>
    <div class="nav-icon-max-box">
      <div @click="goPage('message')">
        <img src="@/assets/ZDimages/top_nav_icon_02.png">
      </div>
    </div>
    <div class="right-menu">
      <el-dropdown class="avatar-container right-menu-item hover-effect" trigger="click">
        <div class="avatar-wrapper" style="display: flex">
          <img :src="avatar" class="user-avatar" v-if="avatar">
          <img src="@/assets/ZDimages/tx_cion.png" class="user-avatar" v-else>
          <p style="color:#fff;font-size:14px;margin:0 20px 0 0;line-height:80px;text-align: center">{{name}}</p>
          <p class="el-icon-arrow-down" style="font-size:20px;color:#fff;margin:32px 0;"></p>
          <!--<i class="el-icon-arrow-down" />-->
        </div>
        <el-dropdown-menu slot="dropdown" style="margin:0;">
          <el-dropdown-item @click.native="goPage('user')">
            <span>个人中心</span>
          </el-dropdown-item>
          <el-dropdown-item divided @click.native="logout">
            <span>退出登录</span>
          </el-dropdown-item>
        </el-dropdown-menu>
      </el-dropdown>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import Screenfull from '@/components/Screenfull'
import SizeSelect from '@/components/SizeSelect'
import Search from '@/components/HeaderSearch'
import RuoYiGit from '@/components/RuoYi/Git'
import RuoYiDoc from '@/components/RuoYi/Doc'
import store from '@/store'
export default {
  components: {
    Screenfull,
    SizeSelect,
    Search,
    RuoYiGit,
    RuoYiDoc
  },
  data(){
    return{
      VUE_APP_TITLE:process.env.VUE_APP_TITLE,
      circularLogo:localStorage.getItem('circularLogo'),
      userType:localStorage.getItem('userType'),
      routeData:{}
    }
  },
  computed: {
    ...mapGetters([
      'sidebar',
      'avatar',
      'device',
      "name"
    ]),
    setting: {
      get() {
        return this.$store.state.settings.showSettings
      },
      set(val) {
        this.$store.dispatch('settings/changeSetting', {
          key: 'showSettings',
          value: val
        })
      }
    },
    topNav: {
      get() {
        return this.$store.state.settings.topNav
      }
    }
  },
  mounted(){
    this.routeData = JSON.parse(localStorage.getItem("routeData"))
  },
  methods: {
    goPage(type){
      let self =this
      if(type == 'message'){
        for(let i=0;i<self.routeData.length;i++){
          if(!self.routeData[i].hidden&&self.routeData[i].name != 'Https://www.sxitdlc.com'){
            store.dispatch('settings/setPageName', self.routeData[i].meta.title)
            this.$store.commit("SET_SIDEBAR_ROUTERS", self.routeData[i].children);
            this.$router.push({ path: '/message' });
            break
          }
        }
      }else if(type == 'home'){
        this.$router.push({ path: '/home' });
      }else if(type == 'user'){
        for(let i=0;i<self.routeData.length;i++){
          if(!self.routeData[i].hidden&&self.routeData[i].name != 'Https://www.sxitdlc.com'){
            store.dispatch('settings/setPageName', self.routeData[i].meta.title)
            this.$store.commit("SET_SIDEBAR_ROUTERS", self.routeData[i].children);
            // this.$router.push({ path: '/mine' });
            this.$router.push({ path: '/comprehensive/system/mine' });
            // this.$router.push({ path: '/user/profile' });
            break
          }
        }
      }
    },
    toggleSideBar() {
      this.$store.dispatch('app/toggleSideBar')
    },
    async logout() {
      this.$confirm('确定注销并退出系统吗？', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        this.$store.dispatch('LogOut').then(() => {
          this.$router.push({ path: '/login' });
        })
      }).catch(() => {});
    }
  }
}
</script>

<style lang="scss" scoped>
.navbar {
  height: 80px;
  overflow: hidden;
  position: relative;
  background: #0045AF;
  box-shadow: 0 1px 4px rgba(0,21,41,.08);
  display: flex;
  z-index:4;
  .left-logo-box{
    display: flex;
    flex:1;
    img{
      height:50px;
      width:50px;
      margin:15px 12px 15px 18px;
    }
    p{
      font-size:24px;
      color:#fff;
    }
  }
  .hamburger-container {
    line-height: 46px;
    height: 100%;
    float: left;
    cursor: pointer;
    transition: background .3s;
    -webkit-tap-highlight-color:transparent;

    &:hover {
      background: rgba(0, 0, 0, .025)
    }
  }

  .breadcrumb-container {
    float: left;

  }

  .topmenu-container {
    margin-left:200px;
    flex:1;
  }

  .errLog-container {
    display: inline-block;
    vertical-align: top;
  }

  .nav-icon-max-box{
    display: flex;
    div{
      width:54px;
      height:54px;
      margin:13px 0;
      position: relative;
      cursor: pointer;
      img{
        width:24px;
        height:24px;
        margin:15px;
      }
      p{
        position: absolute;
        top:0;
        left:0;
      }
    }
  }
  .right-menu {
    /*float: right;*/
    height: 100%;
    line-height: 50px;

    &:focus {
      outline: none;
    }

    .right-menu-item {
      display: inline-block;
      padding: 0 8px;
      height: 100%;
      font-size: 18px;
      color: #5a5e66;
      vertical-align: text-bottom;

      &.hover-effect {
        cursor: pointer;
        transition: background .3s;

        &:hover {
          background: rgba(0, 0, 0, .025)
        }
      }
    }
    .avatar-container {
      margin-right: 30px;
      .avatar-wrapper {
        height:80px;
        position: relative;
        .user-avatar {
          cursor: pointer;
          width: 40px;
          height: 40px;
          border-radius: 50%;
          margin:20px;
        }
        .el-icon-caret-bottom {
          cursor: pointer;
          position: absolute;
          right: -20px;
          top: 25px;
          font-size: 12px;
        }
      }
    }
  }
}
</style>
